


body
	{
	font-family:		"Ubuntu", calabria, tahoma, arial, "san serif";
	display:		flex;
	align-items:		center;
	justify-content:	center;
	}




div.app-dialog
	{
	height:		300px;

	div.app-dialogbuttons
		{
		display:		grid;
		grid-template-rows:	1fr;
		grid-template-columns:	2fr 1fr 2fr;
		grid-template-areas:	"bPrev bQR bNext";
		justify-items:		center;
		}
	}





div.app-pageslidercontainer div.app-pageslider div.app-pageslide
	{
	display:		inline-flex;
	align-items:		center;
	justify-content:	center;

	}



@media screen and (max-width: 450px)
{


div.app-dialog
	{
	--dialog-button-height:	5em;

	&:has(div.app-pageslidercontainer[page="3"])
		{
		--dialog-button-height:	3em;
		}

	div.app-dialogbuttons
		{
		grid-template-rows:	1fr 1fr;
		grid-template-columns:	1fr 1fr;
		grid-template-areas:	"bQR bQR" "bPrev bNext";
		}
	}

}



div.app-field { height:5em; }



@media (prefers-color-scheme: dark) {

	div.app-pageslide[name="qrauth"]
		{
		background:			#ffffff;
		border-radius:			300px;
		}

	}

div[name="qrauth"]
	{
	div#qr_code
		{
		margin:			10px;
		height:			calc(100% - 20px);
		width:			auto;
		margin:			auto;
		aspect-ratio:		1/1;
		display:		flex;
		align-items:		center;
		justify-content:	center;
		}

	}
